/* Basic reset for body and common elements */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overscroll-behavior: none;
}

body {
    /*background-color: rgba(241, 241, 255, 1);*/
    /*background-image: linear-gradient(rgba(241, 241, 255, 1),rgba(207, 207, 216, 0.8),black);*/
    font-family: sans-serif;
    background-color: rgb(227, 236, 239);
    line-height: 1.6;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}



/*  HEADER  */

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    /*
    background-color: rgb(10, 10, 71);
    */
    background-image: url(/static/header-footer/space_banner.jpg);
    background-repeat: no-repeat;
    background-size: 100%;
    box-shadow: inset 0 0 15px 5px rgb(10, 10, 49);
    padding: 0.7rem;
    padding-left: 2rem;
    padding-right: 2rem;
}

/*
#title {
    background-color: black;
    padding: 0.5rem;
    border-radius: 0.3rem;
    color: rgba(42, 184, 255, 1);
    font-size: 1.5rem;
    font-family: Marker Felt, fantasy;
}
*/
#logo {
    width: 9rem;
    height: 2.2rem;
    margin-top: 0.5rem;
}

#nav-links {
    padding: 0.7rem;
    padding-left: 1rem;
    padding-right: 1rem;
    border-radius: 0.3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    font-size: 0.9rem;
    font-family: Verdana, sans-serif;
}

.dashboard-link {
  color: white;
  text-decoration: none;
}
.dashboard-link:hover {
  color: rgba(220, 32, 32, 1);
  text-decoration: underline;
  cursor: pointer;
}

.dashboard-button {
    text-align: center;
    height: 2rem;
    width: 5rem;
    background-color: rgba(0, 169, 0, 0.8);
    color: white;
    font-size: 0.8rem;
    text-decoration: none;
    padding-top: 0.4rem;
    padding-left: 1rem;
    padding-right: 1rem;
    border-radius: 0.2rem;
}
.dashboard-button:hover {
    background-color: rgba(0, 135, 0, 0.8);
    color: white;
    text-decoration: none;
}

.login-button {
    background-color: rgba(0, 169, 0, 0.8);
}
.login-button:hover {
    background-color: rgba(0, 135, 0, 0.8);
}

.signup-button {
    background-color: rgba(0, 136, 255, 0.8);
}
.signup-button:hover {
    background-color: rgba(0, 100, 188, 0.8);
}



/*  BODY  */

#main-body {
    flex: 1;
}

.container {
    background-color: white;
}

.login-signup {
    background-image: url(/static/login-signup/wallpaper-login-signup.jpg);
    background-repeat: no-repeat;
    background-size: 100%;
    padding: 4rem 0rem 4rem 0rem;
}

.form-flexbox {
    background-color: rgb(209, 228, 245);
    color: black;
    width: 85%;
    height: 34.3rem;
    margin-left: 7.5%;
    border-radius: 0.6rem;
    box-shadow: 0 0 20px black;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.form-flexbox h1 {
    margin-top: 1rem;
    margin-bottom: 2rem;
    font-size: 2.2rem;
    font-family: "Fustat";
}

.form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.input-field {
    width: 35rem;
    height: 3.5rem;
    margin: 1rem;
    padding: 1rem;
    font-size: 1.3rem;
    border: none;
    border-radius: 0.3rem;
    background-color: rgb(255, 255, 255);
    font-family: "Lato";
    letter-spacing: 0.1rem;
}
.input-field:focus {
    outline: none;
    border-bottom: solid 5px rgb(54, 56, 64);
    box-shadow: inset 0px 0px 10px grey;
}
.input-field:focus::placeholder {
    color: transparent;
    font-size: 0.3rem;
}

.show-password-container {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    margin-right: 25rem;
}

.toggle-password {
    height: 1rem;
    width: 1rem;
}

.toggle-password-label {
    font-size: 1rem;
    font-family: Gill Sans, sans-serif;
}

.form-button {
    width: 20rem;
    height: 3.5rem;
    margin: 3rem;
    font-family: Verdana, sans-serif;
    font-size: 1.3rem;
    background-color: rgba(28, 28, 104, 1);
    color: white;
    border-radius: 0.4rem;
    box-shadow: none;
    border: none;
}

#login-button {
    background-color: rgba(0, 169, 0, 0.8);
}
#login-button:hover {
    background-color: rgba(0, 135, 0, 0.8);
}
#signup-button {
    background-color: rgba(0, 136, 255, 0.8)
}
#signup-button:hover {
    background-color: rgba(0, 100, 188, 0.8);
}

#error-message-section {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.8rem;
    margin-left: 21.5rem;
}
.error {
    color: red;
    font-size: 1.2rem;
    font-family: "Lato";
    letter-spacing: 0.1rem;
    word-spacing: 0.2rem;
}
#error-icon {
    width: 1.3rem;
    height: 1.3rem;
}




/*  ERROR PAGE  */

#error404-body {
    height: 91.3vh;
    background-color: black;
}

#error404 {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 7rem;
    padding-top: 8rem;
    padding-left: 8rem;
    padding-right: 8rem;
    font-size: 1.5rem;
    color: rgba(195, 1, 1, 0.9);
    font-family: Courier, monospace;
}
#error404 h1 {
    font-size: 2.5rem;
}
#error404 div p {
    font-size: 2rem;
}



/*  FOOTER  */

#footer-separation {
    background-color: #383737;
    width: 97%;
    height: 0.1rem;
    margin-left: 1.5%;
}
#footer {
    /*
    background-color: rgb(10, 10, 71);
    box-shadow: inset 0 0 8px 10px rgb(10, 10, 49);
    */
    background-image: url(/static/header-footer/space_banner.jpg);
    background-repeat: no-repeat;
    background-size: 100%;
    box-shadow: inset 0 0 10px 8px rgb(10, 10, 49);
    color: white;
    font-size: 0.9rem;
    padding: 2rem;
    font-family: Verdana, sans-serif;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
#footer-links {
    display: flex;
    flex-direction: row;
    gap: 2rem;
}
.footer-link {
    color: white;
    text-decoration: none;
}
.footer-link:hover {
  color: rgba(220, 32, 32, 1);
  text-decoration: underline;
  cursor: pointer;
}








/************ DUMMY ***********/


.homepage-container {
    width: 95%;
    padding: 3rem;
    border-radius: 0.5rem;
    border-top: 0.4rem solid black;
    box-shadow: 1px 1px 15px grey;
    margin-left: 2.5%;
    font-family: "Lato", sans-serif;
}

#DUMMY-HOMEPAGE-SECTION-1 {
    /*background-color: rgba(241, 241, 255, 1);*/
    background-image: url(/static/homepage/rick_and_morty_2.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    padding: 5rem 5rem 5rem 5rem;
    color: white;
    font-family: "Fustat";
}
#DUMMY-HOMEPAGE-SECTION-1 h1 {
    font-size: 4rem;
}
#DUMMY-HOMEPAGE-SECTION-1 h2 {
    font-size: 2rem;
    margin-bottom: 45rem;
}
.DUMMY-CONTAINER-1 {
    opacity: 95%;
    padding-left: 6rem;
    padding-right: 6rem;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 1rem;
    line-height: 250%;
}

#DUMMY-HOMEPAGE-SECTION-2 {
    /*background-color: rgba(207, 207, 216, 0.8);*/
    background-image: url(/static/homepage/homepage-wallpaper-3.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    padding: 5rem 3rem 5rem 3rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 2rem;
}

.DUMMY-CONTAINER-2 {
    width: 70%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: rgba(246, 246, 246, 0.9);
}
.DUMMY-CONTAINER-2 h1 {
    font-size: 2.5rem;
    font-weight: 700;
    font-family: "Fustat";
    margin-bottom: 2rem;
}
.DUMMY-CONTAINER-2 ul {
    line-height: 300%;
    list-style-type: none;
    font-size: 1.4rem;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    color: white;
}
.DUMMY-CONTAINER-2 ul li {
    font-weight: 500;
    background-color: rgb(49, 2, 2);
    border-radius: 0.9rem;
    padding: 0.5rem 2.5rem 0.5rem 2.5rem;
    margin: 1rem;
    text-align: center;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}
.DUMMY-CONTAINER-2 ul li img {
    width: 3rem;
    height: 3rem;
}

.DUMMY-CONTAINER-3 {
    width: 30%;
    height: 75%;
    padding: 2.5rem;
    background-color: rgb(220, 234, 234, 0.9);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8rem;
    border-radius: 0.5rem;
    text-align: center;
    line-height: 200%;
    font-family: "Fustat";
}
.DUMMY-CONTAINER-3 p {
    font-size: 1.3rem;
    padding: 2rem;
}
.DUMMY-CONTAINER-3 p a {
    font-size: 1.5rem;
}
.DUMMY-CONTAINER-3 p a:hover {
    color: rgba(220, 32, 32, 1);
}

.DUMMY-CONTAINER-4 {
    padding: 1rem;
    border-radius: 0.3rem;
}

.DUMMY-CONTAINER-5 {
    padding: 1rem;
    border-radius: 0.3rem;
}